/* 
 * Distributed as part of jtmail 1.0
 * 
 * Copyright (C) 2008 QArks.com
 *
 * Author: Pierre Meyer <support@qarks.com>
 *
 * This library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2.1, as 
 * published by the Free Software Foundation.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
 * NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
 * USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this software; see the file LICENSE.  If not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */
package com.qarks.util.mail;

import java.io.*;

import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;

public class MailTarget implements Serializable{

	private String address;
	private String displayString = "";

	public MailTarget() {
	}

	public static MailTarget getMailTarget(String address) throws AddressException{
		InternetAddress iAdr = new InternetAddress(address);
		MailTarget result = new MailTarget(iAdr);
		return result;
	}

	public MailTarget(InternetAddress add){
		address = add.getAddress();
		displayString = add.getPersonal();
	}

	public Object clone(){
		MailTarget clone = new MailTarget();
		clone.address = address;
		clone.displayString = displayString;
		return clone;
	}

	public boolean equals(Object obj) {
		boolean result = false;
		if (obj instanceof MailTarget) {
			MailTarget t = (MailTarget) obj;
			if ( ( (address == null && t.getAddress()==null) ||
					(address!=null && address.equals(t.getAddress()))) &&
					( (displayString == null && t.getDisplayString()==null) ||
							(displayString!=null && displayString.equals(t.getDisplayString())))) {

				result = true;
			}
		}
		return result;
	}

	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getDisplayString() {
		return displayString;
	}
	public void setDisplayString(String displayString) {
		this.displayString = displayString;
	}

}
